import os

VERSION = 'production'

LOGGING = {
    'version': 1,
    'formatters': {'default': {
        'format': '[%(asctime)s] %(levelname)s in %(module)s: %(message)s',
    }},
    'handlers': {
        'wsgi': {
            'class': 'logging.StreamHandler',
            'stream': 'ext://flask.logging.wsgi_errors_stream',
            'formatter': 'default'
        },
        'file': {
            'class': 'logging.handlers.RotatingFileHandler',
            'formatter': 'default',
            'filename': '/var/log/sf-notifier/sfnotifier.log',
            'mode': 'a',
            'maxBytes': 10485760,
            'backupCount': 5
        }
    },
    'loggers': {
        logger: {
            'level': os.getenv('LOGGER_LEVEL', 'INFO').upper(),
            'handlers': ['file', 'wsgi']
        } for logger in ['sf_notifier.server', 'sf_notifier.salesforce.client']
    }
}

SIMPLE_SETTINGS = {
    'OVERRIDE_BY_ENV': True,
    'CONFIGURE_LOGGING': True,
}

ADD_LINKS = os.environ.get('SF_NOTIFIER_ADD_LINKS',
                           False) in ['true', 'True', True]

SF_CONFIG = {}
